//
//  ShopSuperCategoryDM.swift
//  WOKA
//
//  Created by MacBook Pro on 22/07/24.
//

import Foundation

// MARK: - ShopSuperCategoryDM
struct ShopSuperCategoryDM: Codable {
    let result: [ResultData]?
    let totalRecords: Int?

    enum CodingKeys: String, CodingKey {
        case result
        case totalRecords = "total_records"
    }
    
    // MARK: - Result
    struct ResultData: Codable {
        let id: Int?
        let superCategoryName: String?
        let superCategoryThumbnail: String?
        var isAD : Bool? = false
        enum CodingKeys: String, CodingKey {
            case id
            case superCategoryName = "super_category_name"
            case superCategoryThumbnail = "super_category_thumbnail"
            case isAD
        }
    }

}
